mxmldoc(1)

NAME
mxmldoc - mini-xml documentation generator

SYNOPSIS
mxmldoc --no-output [ filename.xml ] source file(s) ]
mxmldoc [ --footer footerfile ] [ --header headerfile ] [ --intro introfile ] [ --section section ] [ --title title ] [ filename.xml ] [ source file(s) ] > filename.html
mxmldoc --docset directory.docset [ --docversion version ] [ --feedname name ] [ --feedurl url ] [ --footer footerfile ] [ --header headerfile ] [ --intro introfile ] [ --section section ] [ --title title ] [ filename.xml ] [ source file(s) ]
mxmldoc --tokens path [ filename.xml ] [ source file(s) ] > tokens.xml
mxmldoc --framed basename [ --footer footerfile ] [ --header headerfile ] [ --intro introfile ] [ --section section ] [ --title title ] [ filename.xml ] [ source file(s) ]
mxmldoc [ --footer footerfile ] [ --header headerfile ] [ --intro introfile ] --man manpage [ --section section ] [ --title title ] [ filename.xml ] [ source file(s) ] > filename.man

DESCRIPTION
mxmldoc scans the specified C and C++ source files to produce an XML representation of globally accessible classes, constants, enumerations, functions, structures, typedefs, unions, and variables - the XML file is updated as necessary. By default, a HTML representation of the XML file is written to the standard output. Use the --no-output option to disable the HTML output.

Man page source can be generated using the --man option.

If no source files are specified then the current XML file is converted to the standard output.

In general, any C or C++ source code is handled by mxmldoc, however it was specifically written to handle code with documentation that is formatted according to the CUPS Developer Guide which is available at "http://www.cups.org/documentation.php".

OPTIONS

--docset directory.docset
    Creates an Xcode documentation set in the specified directory.

--docversion version
    Specifies the version number for the Xcode documentation set.

--feedname name
    Specifies the Xcode documentation set feed name, typically the project or company name.

--feedurl url
    Specifies the Xcode documentation set feed URL which must point to an ATOM file linking to updates.

--footer footerfile
    Inserts the specified file at the bottom of the output documentation.

--framed basename
    Creates HTML documentation using frames - one for the table-of-contents and one for the body.

--header headerfile
    Inserts the specified file at the top of the output documentation.

--intro introfile
    Inserts the specified file before the table of contents.

--man manpage
    Generated a man page instead of HTML documentation.

--no-output
    Disables generation of documentation on the standard output.

--section section
    Sets the section/keywords in the output documentation.

--title title
    Sets the title of the output documentation.

--tokens
    Generates a Tokens.xml file for use with the Xcode documentation tools.

SEE ALSO
mxml(3), Mini-XML Programmers Manual, http://www.minixml.org/

COPYRIGHT
Copyright 2003-2009 by Michael Sweet.